## efi-reader 0.13

=== Makefile ===

ifdef DEBUG
DEB_BUILD_OPTIONS := debug:${DEB_BUILD_OPTIONS}
endif

CFLAGS := -W -Wall  -I.

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g  -DDEBUG=1
OBJS += xmalloc.o
STRIP= /bin/true
else
CFLAGS +=  -fomit-frame-pointer -Os
STRIPTOOL=strip
STRIP= $(STRIPTOOL) --remove-section=.note --remove-section=.comment
endif

LDOPTS = -ldebian-installer -ldebconfclient


all: efi-reader

efi-reader: table.h efi-reader.c
	$(CC) $(CFLAGS) efi-reader.c -o $@ $(LDOPTS)
	$(STRIP) $@

table.h:
	sh ./create-table.sh

clean:
	rm -f *~ table.h efi-reader demo.templates demo

install: efi-reader
	install -m 755 efi-reader ${DESTDIR}/usr/bin/efi-reader

.PHONY: demo
	ln -sf debian/templates demo.templates
	chmod a+x debian/postinst
	rm -f demo
	ln -s debian/postinst demo
	DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./demo
	rm -f demo.templates demo

## efi-reader 0.4

=== debian/changelog ===
efi-reader (0.4) unstable; urgency=low

  * Use the new debconf_* macros
  * Move to new libdebian-installer API.
  * Richard Hirst
    - Make it compile with libdebian-installer4 and current
      linux-kernel-headers.
    - Change table.h generation to end with null string, not 0, to fix
      compiler warnings.  Change code to match.
  * Thiemo Seufer
    - Add CFLAGS -W.
  * Add myself to Uploaders & Release 0.4

 -- dann frazier <dannf@debian.org>  Sun, 14 Dec 2003 19:19:36 -0700

efi-reader (0.3) unstable; urgency=low

  * Changed dependency from libcdebconf-dev to libddebconfclient0-dev.
    Closes: #212072.
  * Moved to Standards-Version: 3.6.1 ; no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Sep 2003 13:07:38 +0000

efi-reader (0.2) unstable; urgency=low


  * Moved Standards-Version to 3.6.0; no changes required. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jul 2003 20:34:35 +0100

efi-reader (0.1) unstable; urgency=low

  * Initial Release.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 7 Mar 2003 20:28:31 +1100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: efi-reader
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, dann frazier <dannf@debian.org>
Build-Depends: debhelper (>= 4.1.16),  libdebconfclient0-dev (>= 0.47), libdebian-installer4-dev, po-debconf (>= 0.5.0), iso-codes (>= 0.012)
Standards-Version: 3.6.1.0

Package: efi-reader
Architecture: ia64
Depends: ${shlibs:Depends}
Description:  Select default values from EFI configuration.
  Read default Language and time zone configuration from the Extended Firmware Interface.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules file for efi-reader
# Copyright (C) 2003 Alastair McKinstry, <mckinstry@debian.org>
# $Id: rules,v 1.6 2003/10/16 23:09:08 goswin Exp $

export DH_VERBOSE=1
PACKAGE=efi-reader
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
ARCH=ia64
FILENAME=$(PACKAGE)_$(VERSION)_$(ARCH).udeb

export DH_COMPAT=3

# Udebs have no postrm file, don't make one
export DH_OPTIONS=-n

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/efi-reader
	dh_link /usr/bin/efi-reader /etc/rcS.d/S40efi-reader

# Build architecture-independent files here.
binary-indep:

# Build arch-dependent files here
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_fixperms
	dh_gencontrol -- -n$(FILENAME)
	dh_builddeb --filename=$(FILENAME)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## efi-reader 0.5

=== debian/changelog ===
efi-reader (0.5) unstable; urgency=low

  * Joshua Kwan
    - Use debhelper's new udeb support.
  * Joey Hess
    - Fix use of udeb support.

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 16:18:34 -0400

=== debian/control ===
Source: efi-reader
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Alastair McKinstry <mckinstry@debian.org>, dann frazier <dannf@debian.org>
Build-Depends: debhelper (>= 4.2), libdebconfclient0-dev (>= 0.47), libdebian-installer4-dev, po-debconf (>= 0.5.0), iso-codes (>= 0.012)
Standards-Version: 3.6.1.0

Package: efi-reader
Architecture: ia64
Depends: ${shlibs:Depends}
Description: Select default values from EFI configuration.
XC-Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -2,18 +2,7 @@
 #
 # debian/rules file for efi-reader
 # Copyright (C) 2003 Alastair McKinstry, <mckinstry@debian.org>
-# $Id: rules,v 1.6 2003/10/16 23:09:08 goswin Exp $
-
-export DH_VERBOSE=1
-PACKAGE=efi-reader
-VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
-ARCH=ia64
-FILENAME=$(PACKAGE)_$(VERSION)_$(ARCH).udeb
-
-export DH_COMPAT=3
-
-# Udebs have no postrm file, don't make one
-export DH_OPTIONS=-n
+# $Id: rules 12703 2004-04-06 17:00:08Z joshk $
 
 clean:
 	dh_testdir
@@ -50,8 +39,8 @@
 	dh_testroot
 	dh_installdebconf
 	dh_fixperms
-	dh_gencontrol -- -n$(FILENAME)
-	dh_builddeb --filename=$(FILENAME)
+	dh_gencontrol
+	dh_builddeb
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## efi-reader 0.7

=== debian/changelog ===
efi-reader (0.7) unstable; urgency=low

  * Colin Watson
    - Spell "Debian GNU/Linux" thus in debian/copyright.
  * Alastair McKinstry
    - Build out of the _current_ SVN to get Colin Watson's correction.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Jul 2005 07:37:20 +0100

efi-reader (0.6) unstable; urgency=low

  * Alastair McKinstry
    - Now use /lib/debian-installer-startup.d instead of /etc/rcS.d
      Closes: #260815.
    - Move to Standards-Version: 3.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 Oct 2004 20:00:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Alastair McKinstry <mckinstry@debian.org>, dann frazier <dannf@debian.org>
 Build-Depends: debhelper (>= 4.2), libdebconfclient0-dev (>= 0.47), libdebian-installer4-dev, po-debconf (>= 0.5.0), iso-codes (>= 0.012)
-Standards-Version: 3.6.1.0
+Standards-Version: 3.6.2
 
 Package: efi-reader
 Architecture: ia64

## efi-reader 0.9

=== debian/changelog ===
efi-reader (0.9) unstable; urgency=low

  * Performing a "clean" upload - last version had .svn goo in it

 -- dann frazier <dannf@debian.org>  Tue, 31 Oct 2006 16:09:32 -0700

efi-reader (0.8) unstable; urgency=low

  * Include <linux/types.h> for __u8 and friends.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 7 Sep 2006 08:02:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Alastair McKinstry <mckinstry@debian.org>, dann frazier <dannf@debian.org>
 Build-Depends: debhelper (>= 4.2), libdebconfclient0-dev (>= 0.47), libdebian-installer4-dev, po-debconf (>= 0.5.0), iso-codes (>= 0.012)
 Standards-Version: 3.6.2
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/arch/ia64/efi-reader
 
 Package: efi-reader
 Architecture: ia64

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # debian/rules file for efi-reader
 # Copyright (C) 2003 Alastair McKinstry, <mckinstry@debian.org>
-# $Id: rules 12703 2004-04-06 17:00:08Z joshk $
+# $Id: rules 23187 2004-10-17 18:58:06Z mckinstry $
 
 clean:
 	dh_testdir
@@ -28,7 +28,7 @@
 	dh_clean
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/efi-reader
-	dh_link /usr/bin/efi-reader /etc/rcS.d/S40efi-reader
+	dh_link /usr/bin/efi-reader /lib/debian-installer-startup.d/S40efi-reader
 
 # Build architecture-independent files here.
 binary-indep:

## efi-reader 0.9build1

=== debian/changelog ===
efi-reader (0.9build1) karmic; urgency=low

  * No-change rebuild to gain FORTIFY defaults.

 -- Kees Cook <kees@ubuntu.com>  Mon, 11 May 2009 12:07:19 -0700

## efi-reader 0.10

=== debian/changelog ===
efi-reader (0.10) unstable; urgency=low

  [ Frans Pop ]
  * Remove Alastair McKinstry as Uploader with many thanks for his past
    contributions.

  [ Colin Watson ]
  * Upgrade to debhelper v7.
  * /usr/share/iso-codes/iso_639.tab no longer exists; use isoquery.

  [ Frans Pop ]
  * Remove Standards-Version field.

 -- dann frazier <dannf@debian.org>  Mon, 15 Nov 2010 11:23:08 -0700

=== debian/control ===
Source: efi-reader
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: dann frazier <dannf@debian.org>
Build-Depends: debhelper (>= 7.0.0), libdebconfclient0-dev (>= 0.47), libdebian-installer4-dev, po-debconf (>= 0.5.0), iso-codes (>= 0.012), isoquery
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/arch/ia64/efi-reader

Package: efi-reader
Architecture: ia64
Depends: ${shlibs:Depends}
Description: Select default values from EFI configuration.
XC-Package-Type: udeb

## efi-reader 0.11

=== debian/changelog ===
efi-reader (0.11) unstable; urgency=low

  [ Steve McIntyre ]
  * Build on amd64 and i386 as well as ia64, now we have EFI support there
    too. Closes: #512348.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 20 Sep 2012 12:18:47 +0200

=== debian/control ===
Source: efi-reader
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: dann frazier <dannf@debian.org>
Build-Depends: debhelper (>= 7.0.0), libdebconfclient0-dev (>= 0.47), libdebian-installer4-dev, po-debconf (>= 0.5.0), iso-codes (>= 0.012), isoquery
Vcs-Browser: http://git.debian.org/?p=d-i/efi-reader.git
Vcs-Git: git://git.debian.org/d-i/efi-reader.git

Package: efi-reader
Architecture: ia64 amd64 i386
Depends: ${shlibs:Depends}
Description: Select default values from EFI configuration.
XC-Package-Type: udeb

## efi-reader 0.13

=== debian/changelog ===
efi-reader (0.13) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Christian Perrier ]
  * Add myself to Uploaders

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 13:15:39 +0200

efi-reader (0.12) unstable; urgency=low

  * Team upload

  [ Colin Watson ]
  * Fix a few compiler warnings.

  [ Christian Perrier ]
  * Replace XC-Package-Type by Package-Type in debian/control

 -- Christian Perrier <bubulle@debian.org>  Wed, 15 May 2013 16:36:54 +0200

=== debian/control ===
Source: efi-reader
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: dann frazier <dannf@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends: debhelper (>= 9), libdebconfclient0-dev (>= 0.47), libdebian-installer4-dev, po-debconf (>= 0.5.0), iso-codes (>= 0.012), isoquery
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/efi-reader.git
Vcs-Git: git://anonscm.debian.org/d-i/efi-reader.git

Package: efi-reader
Architecture: ia64 amd64 i386
Depends: ${shlibs:Depends}
Description: Select default values from EFI configuration.
Package-Type: udeb

## efi-reader 0.14

=== debian/changelog ===
efi-reader (0.14) unstable; urgency=low

  * Add arm64 arnd armhf to architectures list. Closes: #758753

 -- Christian Perrier <bubulle@debian.org>  Thu, 21 Aug 2014 09:07:48 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Git: git://anonscm.debian.org/d-i/efi-reader.git
 
 Package: efi-reader
-Architecture: ia64 amd64 i386
+Architecture: ia64 amd64 i386 arm64 armhf
 Depends: ${shlibs:Depends}
 Description: Select default values from EFI configuration.
 Package-Type: udeb

## efi-reader 0.15

=== debian/changelog ===
efi-reader (0.15) unstable; urgency=medium

  [ Colin Watson ]
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.

 -- Christian Perrier <bubulle@debian.org>  Wed, 03 Feb 2016 07:10:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: dann frazier <dannf@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), libdebconfclient0-dev (>= 0.47), libdebian-installer4-dev, po-debconf (>= 0.5.0), iso-codes (>= 0.012), isoquery
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/efi-reader.git
-Vcs-Git: git://anonscm.debian.org/d-i/efi-reader.git
+Vcs-Browser: https://anonscm.debian.org/cgit/d-i/efi-reader.git
+Vcs-Git: https://anonscm.debian.org/git/d-i/efi-reader.git
 
 Package: efi-reader
 Architecture: ia64 amd64 i386 arm64 armhf

## efi-reader 0.16

=== debian/changelog ===
efi-reader (0.16) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 29 Aug 2018 12:14:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: dann frazier <dannf@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), libdebconfclient0-dev (>= 0.47), libdebian-installer4-dev, po-debconf (>= 0.5.0), iso-codes (>= 0.012), isoquery
-Vcs-Browser: https://anonscm.debian.org/cgit/d-i/efi-reader.git
-Vcs-Git: https://anonscm.debian.org/git/d-i/efi-reader.git
+Vcs-Browser: https://salsa.debian.org/installer-team/efi-reader
+Vcs-Git: https://salsa.debian.org/installer-team/efi-reader.git
 
 Package: efi-reader
 Architecture: ia64 amd64 i386 arm64 armhf

## efi-reader 0.16trisquel0

=== debian/changelog ===
efi-reader (0.16trisquel0) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 17:09:55 +0000

## efi-reader 0.16trisquel1

=== debian/changelog ===
efi-reader (0.16trisquel1) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 17 Apr 2025 04:50:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: efi-reader
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: dann frazier <dannf@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), libdebconfclient0-dev (>= 0.47), libdebian-installer4-dev, po-debconf (>= 0.5.0), iso-codes (>= 0.012), isoquery
 Vcs-Browser: https://salsa.debian.org/installer-team/efi-reader

## efi-reader 0.16%2B11.0trisquel0

=== debian/changelog ===
efi-reader (0.16+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 07 Sep 2022 23:01:57 +0000

## efi-reader 0.17

=== debian/changelog ===
efi-reader (0.17) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * Remove Christian Perrier from Uploaders, with many thanks for all
    his contributions over the years! (Closes: #927563)

  [ Holger Wansing ]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.
  * Move install path to /usr, to make package usrmerge-compliant.
    Closes: #1122356.

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for efi-reader.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on iso-codes,
      libdebconfclient0-dev and po-debconf.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 14 Dec 2025 11:25:53 +0100

=== debian/control ===
Source: efi-reader
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: dann frazier <dannf@debian.org>
Build-Depends: debhelper-compat (= 13), libdebconfclient0-dev, libdebian-installer4-dev, po-debconf, iso-codes, isoquery
Vcs-Browser: https://salsa.debian.org/installer-team/efi-reader
Vcs-Git: https://salsa.debian.org/installer-team/efi-reader.git

Package: efi-reader
Architecture: ia64 amd64 i386 arm64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Select default values from EFI configuration.
Package-Type: udeb
